Subject: Re: ICMP EaTEN message...

From: Vern Paxson <[email-masked]>
Date: Tue, 11 Apr 2000 21:59:12 PDT

> couldn't agree more here. i presented such a solution reusing 
> an existing (but unused) icmp msg during the TSVWG meeting in
> adelaide. there was pushback from van jacobson, steve deering
> and geoff huston primarily  on the grounds
> that it is easy to launch DOS attacks by using this "host
> isolated" icmp unreachable.

Actually, I think that's misreading their comments.  Their point, I believe,
was instead that there may well be multipathing available to the network,
such that the failure of a particular link just means that routing will
have to change to fix the problem.  It's important not to take today's
model where there's always a single wireless access link and from it
extrapolate that that will always be the architecture.

		Vern

---

From: Gabriel Montenegro <[email-masked]>
Date: Wed, 12 Apr 2000 09:21:48 -0700 (PDT)

> extrapolate that that will always be the architecture.

point taken. actually they made both comments (DOS and multipath).
there may have been others (are there any minutes for tsvwg meetings?).

at any rate, on the multipath comment: there's plenty of occasions
when it is useful, in particular when one looks at the predictions
of how common the following scenario will be:

	cell phone with two interfaces:
		cellular
		bluetooth 
	laptop or pda accessing the internet via the cell phone's
		routing services

in this case (or replace "bluetooth" with "serial cable" etc) there
is no multipath, the cell phone is not only the default but also
the exclusive router for the laptop/pda.

the icmp msg by itself just has enough information about where the
link is down. of course if there is multipath one could take that 
as a hint to go try another route or apply whatever
heuristic may apply. 

-gabriel

---

From: Bora Akyol <[email-masked]>
Date: Wed, 12 Apr 2000 10:23:24 -0700

On the other hand, sometimes the laws of physics and financial reality set in.

There may be multi-pathing when devices have two or more different wireless
interfaces, such as a LAN and a WAN interface, but in the general WAN
environment, it is hard to get even decent single path coverage. Moreover, the
existing model of base stations and wireless nodes provides far more control to
the service provider than an ad-hoc packet radio network (even though I would
prefer this). Finally, with fiber coming everywhere but the last mile pretty
soon, the base station model provides good cost benefits.

Hence, it is not easy to assume away the current architecture either.

Also note that the problem is not limited to a wireless node connecting to the
Internet, but there may be two routers that are connected via a wireless link
(as in the connection between SLAC and Stanford for the longest time) and the
end hosts may not have a clue on what to do with the feedback they are getting.

Bora

---

From: Sampo A Syreeni <[email-masked]>
Date: Fri, 14 Apr 2000 13:16:20 +0300 (EET DST)

On Wed, 12 Apr 2000, Bora Akyol wrote:

>environment, it is hard to get even decent single path coverage.

GSM/GPRS plus LEO satellite capability would be a good example, at least
in Europe. The service is becoming available.

Sampo Syreeni <[email-masked]>, aka decoy, student/math/Helsinki university